import { Test } from 'nodeunit';
declare const _default: {
    create: {
        defaults(test: Test): void;
        'with no specific version'(test: Test): void;
    };
    update: {
        'requires replacement': {
            'change of "name" creates a new cluster with the new name and deletes the old cluster'(test: Test): void;
            'change of "resourcesVpcConfig"'(test: Test): void;
            'change of "roleArn"'(test: Test): void;
            'change of "roleArn" and "version"'(test: Test): void;
        };
        'in-place': {
            'version change': {
                'from undefined to a specific value'(test: Test): void;
                'from a specific value to another value'(test: Test): void;
                'fails from specific value to undefined'(test: Test): void;
            };
        };
        'update failure returns the previous physical name': {
            'for "version" updates'(test: Test): void;
            'for "name" updates'(test: Test): void;
            'for "roleArn" updates'(test: Test): void;
        };
    };
    delete: {
        'delete failure': {
            'returns correct physical name'(test: Test): void;
        };
    };
};
export = _default;
